summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-12 23:28:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:42 +0200
commit0e52ac1637b0611aee5a41e592ab0f1a44f408ee (patch)
tree840117a30d007c07df3aae8a2dc6e14506978487 /development
parent105cb993e4f093c7ee3cd298aa8bb920d1c29704 (diff)
downloadslackbuilds-0e52ac1637b0611aee5a41e592ab0f1a44f408ee.tar.gz
slackbuilds-0e52ac1637b0611aee5a41e592ab0f1a44f408ee.tar.xz
development/gsoap: Added to 12.2 repository
Diffstat (limited to 'development')
-rw-r--r--development/gsoap/README11
-rw-r--r--development/gsoap/gsoap.SlackBuild83
-rw-r--r--development/gsoap/gsoap.info8
-rw-r--r--development/gsoap/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/development/gsoap/README b/development/gsoap/README
new file mode 100644
index 0000000000..daf6147ea0
--- /dev/null
+++ b/development/gsoap/README
@@ -0,0 +1,11 @@
+The gSOAP toolkit provides a cross-platform software development
+toolkit for C and C++ server and client Web service applications, and
+simplifies the overall use of XML in any type of application. The
+toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
+styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming), SOAP-over-
+UDP, request-response and one-way messaging. The toolkit also supports
+WS-Addressing and WS-Security, with several other WS-* available
+or under development.
+
+Note this will not build in parallel; set MAKEFLAGS="-j1" if you have
+problems.
diff --git a/development/gsoap/gsoap.SlackBuild b/development/gsoap/gsoap.SlackBuild
new file mode 100644
index 0000000000..36073124fe
--- /dev/null
+++ b/development/gsoap/gsoap.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for gsoap
+
+# Copyright 2009 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gsoap
+VERSION=2.7.13
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-2.7
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd $PRGNAM-2.7
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+# NOTICE: this will not build in parallel!
+# set MAKEFLAGS="-j1" if you have problems
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changelog.html LICENSE.txt NOTES.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/gsoap/gsoap.info b/development/gsoap/gsoap.info
new file mode 100644
index 0000000000..8f0293c20c
--- /dev/null
+++ b/development/gsoap/gsoap.info
@@ -0,0 +1,8 @@
+PRGNAM="gsoap"
+VERSION="2.7.13"
+HOMEPAGE="http://gsoap2.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/gsoap2/gsoap_2.7.13.tar.gz"
+MD5SUM="fffb49eb1db7ff03643a4313115dc3b1"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="rworkman"
diff --git a/development/gsoap/slack-desc b/development/gsoap/slack-desc
new file mode 100644
index 0000000000..56010c0bd9
--- /dev/null
+++ b/development/gsoap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gsoap: gsoap (SOAP C Web Services with SSL and ZLIB)
+gsoap:
+gsoap: The gSOAP toolkit provides a cross-platform software development
+gsoap: toolkit for C and C++ server and client Web service applications, and
+gsoap: simplifies the overall use of XML in any type of application. The
+gsoap: toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
+gsoap: styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming), SOAP-over-
+gsoap: UDP, request-response and one-way messaging. The toolkit also supports
+gsoap: WS-Addressing and WS-Security, with several other WS-* available
+gsoap: or under development.
+gsoap: